compCorrGraph {GOstats} | R Documentation

## A function to compute a correlation based graph from Gene Expression Data

### Description

Given a set of gene expression data (an instance of the `ExpressionSet` class) this function computes a graph based on correlations between the probes.

### Usage

    compCorrGraph(eSet, k = 1, tau = 0.6)

### Arguments

`eSet` | An instance of the `ExpressionSet` class.
`k` | The power to raise the correlations to.
`tau` | The lower cutoff for absolute correlations.

### Details

Zhou et al. describe a method of computing a graph between probes (genes) based on estimated correlations between probes. This function implements some of their methods.

Pearson correlations between probes are computed and then these are raised to the power `k`. Any of the resulting estimates that are less than `tau` in absolute value are set to zero.

### Value

An instance of the `graph` class. With edges and edge weights determined by applying the algorithm described previously.

### Author(s)

R. Gentleman

### References

Zhou et al., Transitive functional annotation by shortest-path analysis of gene expression data.

### See Also

`compGdist`

### Examples

     ## Create an ExpressionSet to work with
     set.seed(123)
     exprMat <- matrix(runif(50 * 5), nrow=50)
     genData <- new("ExpressionSet", exprs=exprMat)

     corrG = compCorrGraph(genData)

[Package GOstats version 2.8.0 Index]